How to set "Title" value to part file using SE API?
SolutionUser can set value with help of below code,
Dim application As SolidEdgeFramework.Application = Nothing
Dim objPropertySets As SolidEdgeFramework.PropertySets = Nothing
Dim objProperties As SolidEdgeFramework.Properties = Nothing
Dim objProperty As SolidEdgeFramework.Property = Nothing
Dim objSEDoc As SolidEdgeFramework.SolidEdgeDocument = Nothing
Try
application = DirectCast(Marshal.GetActiveObject("solidedge.application"), SolidEdgeFramework.Application)
objSEDoc = application.ActiveDocument
objPropertySets = objSEDoc.Properties
objProperties = objPropertySets.Item("SummaryInformation")
objProperty = objProperties.Item(1)
objProperty.Value = "PLMS"
objProperties.Save()
objPropertySets.Save()
Catch ex As System.Exception
Console.WriteLine(ex)
Finally
Console.WriteLine("plms")
End Try